Configuration of touch devices

Functions
Configuration of touch devices

Functions related to configuration of touch devices. More...

## Functions
EAPI Eina_Bool | elput_touch_drag_enabled_set (Elput_Device *device, Eina_Bool enabled)
| Enable or disable tap-and-drag on this device. More...
EAPI Eina_Bool | elput_touch_drag_enabled_get (Elput_Device *device)
| Get if tap-and-drag is enabled on this device. More...
EAPI Eina_Bool | elput_touch_drag_lock_enabled_set (Elput_Device *device, Eina_Bool enabled)
| Enable or disable drag-lock during tapping on a device. More...
EAPI Eina_Bool | elput_touch_drag_lock_enabled_get (Elput_Device *device)
| Get if drag-lock is enabled on this device. More...
EAPI Eina_Bool | elput_touch_dwt_enabled_set (Elput_Device *device, Eina_Bool enabled)
| Enable or disable touchpad dwt (disable-while-typing) feature. More...
EAPI Eina_Bool | elput_touch_dwt_enabled_get (Elput_Device *device)
| Get if touchpad dwt (disable-while-typing) is enabled. More...
EAPI Eina_Bool | elput_touch_scroll_method_set (Elput_Device *device, int method)
| Set the scroll method used for this device. More...
EAPI int | elput_touch_scroll_method_get (Elput_Device *device)
| Get the current scroll method set on a device. More...
EAPI Eina_Bool | elput_touch_click_method_set (Elput_Device *device, int method)
| Set the button click method for a device. More...
EAPI int | elput_touch_click_method_get (Elput_Device *device)
| Get the current button click method for a device. More...
EAPI Eina_Bool | elput_touch_tap_enabled_set (Elput_Device *device, Eina_Bool enabled)
| Enable or disable tap-to-click on a given device. More...
EAPI Eina_Bool | elput_touch_tap_enabled_get (Elput_Device *device)
| Get if tap-to-click is enabled on a given device. More...

## Detailed Description

Functions related to configuration of touch devices.

## Function Documentation

## ◆ elput_touch_drag_enabled_set()

EAPI Eina_Bool elput_touch_drag_enabled_set | ( | Elput_Device * | device,
|  | Eina_Bool | enabled
| ) |  |

Enable or disable tap-and-drag on this device.

When enabled, a single-finger tap immediately followed by a finger down results in a button down event, subsequent finger motion thus triggers a drag. The button is released on finger up.

Parameters

  device |
  enabled |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_touch_drag_enabled_get()

EAPI Eina_Bool elput_touch_drag_enabled_get | ( | Elput_Device * | device | ) |

Get if tap-and-drag is enabled on this device.

Parameters

  device |

Returns
  EINA_TRUE if enabled, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_touch_drag_lock_enabled_set()

EAPI Eina_Bool elput_touch_drag_lock_enabled_set | ( | Elput_Device * | device,
|  | Eina_Bool | enabled
| ) |  |

Enable or disable drag-lock during tapping on a device.

When enabled, a finger may be lifted and put back on the touchpad within a timeout and the drag process continues. When disabled, lifting the finger during a tap-and-drag will immediately stop the drag.

Parameters

  device |
  enabled |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_touch_drag_lock_enabled_get()

EAPI Eina_Bool elput_touch_drag_lock_enabled_get | ( | Elput_Device * | device | ) |

Get if drag-lock is enabled on this device.

Parameters

  device |

Returns
  EINA_TRUE if enabled, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_touch_dwt_enabled_set()

EAPI Eina_Bool elput_touch_dwt_enabled_set | ( | Elput_Device * | device,
|  | Eina_Bool | enabled
| ) |  |

Enable or disable touchpad dwt (disable-while-typing) feature.

When enabled, the device will be disabled while typing and for a short period after.

Parameters

  device |
  enabled |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_touch_dwt_enabled_get()

EAPI Eina_Bool elput_touch_dwt_enabled_get | ( | Elput_Device * | device | ) |

Get if touchpad dwt (disable-while-typing) is enabled.

Parameters

  device |

Returns
  EINA_TRUE if enabled, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_touch_scroll_method_set()

EAPI Eina_Bool elput_touch_scroll_method_set | ( | Elput_Device * | device,
|  | int | method
| ) |  |

Set the scroll method used for this device.

The scroll method defines when to generate scroll axis events instead of pointer motion events.

Parameters

  device |
  method |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

## ◆ elput_touch_scroll_method_get()

EAPI int elput_touch_scroll_method_get | ( | Elput_Device * | device | ) |

Get the current scroll method set on a device.

Parameters

  device |

Returns
  The current scroll method

Since
  1.19

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_touch_click_method_set()

EAPI Eina_Bool elput_touch_click_method_set | ( | Elput_Device * | device,
|  | int | method
| ) |  |

Set the button click method for a device.

The button click method defines when to generate software emulated buttons

Parameters

  device |
  method |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

## ◆ elput_touch_click_method_get()

EAPI int elput_touch_click_method_get | ( | Elput_Device * | device | ) |

Get the current button click method for a device.

Parameters

  device |

Returns
  The current button click method

Since
  1.19

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_touch_tap_enabled_set()

EAPI Eina_Bool elput_touch_tap_enabled_set | ( | Elput_Device * | device,
|  | Eina_Bool | enabled
| ) |  |

Enable or disable tap-to-click on a given device.

Parameters

  device |
  enabled |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_touch_tap_enabled_get()

EAPI Eina_Bool elput_touch_tap_enabled_get | ( | Elput_Device * | device | ) |

Get if tap-to-click is enabled on a given device.

Parameters

  device |

Returns
  EINA_TRUE if enabled, EINA_FALSE otherwise

Since
  1.19

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.